#!/usr/bin/perl -w

package MT::Plugin::AddLivedoorClipUserNum;

use strict;
use Data::Dumper;
use base qw( MT::Plugin );

our $VERSION = "0.2";

my $plugin = MT::Plugin::AddLivedoorClipUserNum->new({
    name => 'AddLivedoorClipUserNum',
    version => $VERSION,
    description => "Adds Livedoor Clip's number of users to your blog list, entry list and log-feed.",
    author_name => "Agent K and Special Thanks To milano",
    author_link => "http://blogging.from.tv/mt/",
    doc_link => 'http://blogging.from.tv/archives/000332.html',
});

MT->add_plugin($plugin);
MT->add_callback('MT::App::CMS::AppTemplateSource.entry_table', 9, $plugin, \&entry_table);
#MT->add_callback('MT::App::CMS::AppTemplateSource.list_blog', 9, $plugin, \&list_blog);
#MT->add_callback('MT::App::CMS::AppTemplateSource.list_entry', 9, $plugin, \&list_entry);
MT->add_callback('MT::App::ActivityFeeds::AppTemplateSource.feed_entry', 9, $plugin, \&feed_entry);

sub entry_table {
    my ($eh, $app, $tmpl) = @_;

    $$tmpl =~ s,<TMPL_VAR NAME=TITLE_SHORT></a>,<TMPL_VAR NAME=TITLE_SHORT></a><TMPL_IF NAME=STATUS_PUBLISH>&nbsp;<a href="http://clip.livedoor.com/page/<TMPL_VAR NAME=ENTRY_PERMALINK>" target="_blank"><img src="http://image.clip.livedoor.com/counter/small/<TMPL_VAR NAME=ENTRY_PERMALINK>" border="0"/></a></TMPL_IF>,;
}

sub list_blog {
    my ($eh, $app, $tmpl) = @_;

    $$tmpl =~ s,<TMPL_VAR NAME=NAME></a></h5>,<TMPL_VAR NAME=NAME></a>&nbsp;<a href="http://clip.livedoor.com/site/<TMPL_VAR NAME=SITE_URL>" target="_blank"><img src="http://image.clip.livedoor.com/counter/small/<TMPL_VAR NAME=SITE_URL>" border="0"></a></h5>,;
}

sub list_entry {
    my ($eh, $app, $tmpl) = @_;

    $$tmpl =~ s,<MT_TRANS phrase="Entries"></h2>,<MT_TRANS phrase="Entries">&nbsp;<a href="http://clip.livedoor.com/site/<TMPL_VAR NAME=BLOG_URL>" target="_blank"><img src="http://image.clip.livedoor.com/counter/small/<TMPL_VAR NAME=BLOG_URL>" border="0"></a></h2>,;
}

sub feed_entry {
    my ($eh, $app, $tmpl) = @_;

    my $from = qq(    &lt;b&gt;<MT_TRANS phrase="Author">:&lt;/b&gt; <TMPL_VAR NAME=LOG.ENTRY.AUTHOR.NAME ESCAPE=HTML>&lt;br /&gt;);
    my $to = <<TMPL;
    &lt;b&gt;<MT_TRANS phrase="Author">:&lt;/b&gt; <TMPL_VAR NAME=LOG.ENTRY.AUTHOR.NAME ESCAPE=HTML>&lt;br /&gt;
    &lt;b&gt;Bookmark:&lt;/b&gt; &lt;a href="http://clip.livedoor.com/page/<TMPL_VAR NAME=LOG.ENTRY.PERMALINK>"&gt;&lt;img src="http://image.clip.livedoor.com/counter/small/<TMPL_VAR NAME=LOG.ENTRY.PERMALINK>" border="0"/&gt;&lt;/a&gt;&lt;br /&gt;
TMPL

    $$tmpl =~ s,$from,$to,s;
}

